package com.mortals.xhx.module.perform.model;

import java.util.List;
import com.mortals.xhx.module.perform.model.PerformStaffConfDetailEntity;
/**
* 人员考核内容详细信息查询对象
*
* @author zxfei
* @date 2023-05-16
*/
public class PerformStaffConfDetailQuery extends PerformStaffConfDetailEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 人员自动考核配置id */
    private Long staffConfIdStart;

    /** 结束 人员自动考核配置id */
    private Long staffConfIdEnd;

    /** 增加 人员自动考核配置id */
    private Long staffConfIdIncrement;

    /** 人员自动考核配置id列表 */
    private List <Long> staffConfIdList;

    /** 人员自动考核配置id排除列表 */
    private List <Long> staffConfIdNotList;

    /** 开始 绩效规则id */
    private Long ruleIdStart;

    /** 结束 绩效规则id */
    private Long ruleIdEnd;

    /** 增加 绩效规则id */
    private Long ruleIdIncrement;

    /** 绩效规则id列表 */
    private List <Long> ruleIdList;

    /** 绩效规则id排除列表 */
    private List <Long> ruleIdNotList;

    /** 规则简称 */
    private List<String> ruleNameList;

    /** 规则简称排除列表 */
    private List <String> ruleNameNotList;
    /** 开始 部门id */
    private Long staffIdStart;

    /** 结束 部门id */
    private Long staffIdEnd;

    /** 增加 部门id */
    private Long staffIdIncrement;

    /** 部门id列表 */
    private List <Long> staffIdList;

    /** 部门id排除列表 */
    private List <Long> staffIdNotList;

    /** 部门名称 */
    private List<String> staffNameList;

    /** 部门名称排除列表 */
    private List <String> staffNameNotList;
    /** 分类名称 */
    private List<String> categoryNameList;

    /** 分类名称排除列表 */
    private List <String> categoryNameNotList;
    /** 开始 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标) */
    private Integer typeStart;

    /** 结束 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标) */
    private Integer typeEnd;

    /** 增加 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标) */
    private Integer typeIncrement;

    /** 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)列表 */
    private List <Integer> typeList;

    /** 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)排除列表 */
    private List <Integer> typeNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 是否启用规则(0.否,1.是) */
    private Integer enableStart;

    /** 结束 是否启用规则(0.否,1.是) */
    private Integer enableEnd;

    /** 增加 是否启用规则(0.否,1.是) */
    private Integer enableIncrement;

    /** 是否启用规则(0.否,1.是)列表 */
    private List <Integer> enableList;

    /** 是否启用规则(0.否,1.是)排除列表 */
    private List <Integer> enableNotList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PerformStaffConfDetailQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PerformStaffConfDetailQuery> andConditionList;

    public PerformStaffConfDetailQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 人员自动考核配置id
    * @return staffConfIdStart
    */
    public Long getStaffConfIdStart(){
        return this.staffConfIdStart;
    }

    /**
    * 设置 开始 人员自动考核配置id
    * @param staffConfIdStart
    */
    public void setStaffConfIdStart(Long staffConfIdStart){
        this.staffConfIdStart = staffConfIdStart;
    }

    /**
    * 获取 结束 人员自动考核配置id
    * @return $staffConfIdEnd
    */
    public Long getStaffConfIdEnd(){
        return this.staffConfIdEnd;
    }

    /**
    * 设置 结束 人员自动考核配置id
    * @param staffConfIdEnd
    */
    public void setStaffConfIdEnd(Long staffConfIdEnd){
        this.staffConfIdEnd = staffConfIdEnd;
    }

    /**
    * 获取 增加 人员自动考核配置id
    * @return staffConfIdIncrement
    */
    public Long getStaffConfIdIncrement(){
        return this.staffConfIdIncrement;
    }

    /**
    * 设置 增加 人员自动考核配置id
    * @param staffConfIdIncrement
    */
    public void setStaffConfIdIncrement(Long staffConfIdIncrement){
        this.staffConfIdIncrement = staffConfIdIncrement;
    }

    /**
    * 获取 人员自动考核配置id
    * @return staffConfIdList
    */
    public List<Long> getStaffConfIdList(){
        return this.staffConfIdList;
    }

    /**
    * 设置 人员自动考核配置id
    * @param staffConfIdList
    */
    public void setStaffConfIdList(List<Long> staffConfIdList){
        this.staffConfIdList = staffConfIdList;
    }

    /**
    * 获取 人员自动考核配置id
    * @return staffConfIdNotList
    */
    public List<Long> getStaffConfIdNotList(){
        return this.staffConfIdNotList;
    }

    /**
    * 设置 人员自动考核配置id
    * @param staffConfIdNotList
    */
    public void setStaffConfIdNotList(List<Long> staffConfIdNotList){
        this.staffConfIdNotList = staffConfIdNotList;
    }


    /**
    * 获取 开始 绩效规则id
    * @return ruleIdStart
    */
    public Long getRuleIdStart(){
        return this.ruleIdStart;
    }

    /**
    * 设置 开始 绩效规则id
    * @param ruleIdStart
    */
    public void setRuleIdStart(Long ruleIdStart){
        this.ruleIdStart = ruleIdStart;
    }

    /**
    * 获取 结束 绩效规则id
    * @return $ruleIdEnd
    */
    public Long getRuleIdEnd(){
        return this.ruleIdEnd;
    }

    /**
    * 设置 结束 绩效规则id
    * @param ruleIdEnd
    */
    public void setRuleIdEnd(Long ruleIdEnd){
        this.ruleIdEnd = ruleIdEnd;
    }

    /**
    * 获取 增加 绩效规则id
    * @return ruleIdIncrement
    */
    public Long getRuleIdIncrement(){
        return this.ruleIdIncrement;
    }

    /**
    * 设置 增加 绩效规则id
    * @param ruleIdIncrement
    */
    public void setRuleIdIncrement(Long ruleIdIncrement){
        this.ruleIdIncrement = ruleIdIncrement;
    }

    /**
    * 获取 绩效规则id
    * @return ruleIdList
    */
    public List<Long> getRuleIdList(){
        return this.ruleIdList;
    }

    /**
    * 设置 绩效规则id
    * @param ruleIdList
    */
    public void setRuleIdList(List<Long> ruleIdList){
        this.ruleIdList = ruleIdList;
    }

    /**
    * 获取 绩效规则id
    * @return ruleIdNotList
    */
    public List<Long> getRuleIdNotList(){
        return this.ruleIdNotList;
    }

    /**
    * 设置 绩效规则id
    * @param ruleIdNotList
    */
    public void setRuleIdNotList(List<Long> ruleIdNotList){
        this.ruleIdNotList = ruleIdNotList;
    }


    /**
    * 获取 规则简称
    * @return ruleNameList
    */
    public List<String> getRuleNameList(){
        return this.ruleNameList;
    }

    /**
    * 设置 规则简称
    * @param ruleNameList
    */
    public void setRuleNameList(List<String> ruleNameList){
        this.ruleNameList = ruleNameList;
    }

    /**
    * 获取 规则简称
    * @return ruleNameNotList
    */
    public List<String> getRuleNameNotList(){
        return this.ruleNameNotList;
    }

    /**
    * 设置 规则简称
    * @param ruleNameNotList
    */
    public void setRuleNameNotList(List<String> ruleNameNotList){
        this.ruleNameNotList = ruleNameNotList;
    }

    /**
    * 获取 开始 部门id
    * @return staffIdStart
    */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
    * 设置 开始 部门id
    * @param staffIdStart
    */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
    * 获取 结束 部门id
    * @return $staffIdEnd
    */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
    * 设置 结束 部门id
    * @param staffIdEnd
    */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
    * 获取 增加 部门id
    * @return staffIdIncrement
    */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
    * 设置 增加 部门id
    * @param staffIdIncrement
    */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
    * 获取 部门id
    * @return staffIdList
    */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
    * 设置 部门id
    * @param staffIdList
    */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
    * 获取 部门id
    * @return staffIdNotList
    */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
    * 设置 部门id
    * @param staffIdNotList
    */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
    * 获取 部门名称
    * @return staffNameList
    */
    public List<String> getStaffNameList(){
        return this.staffNameList;
    }

    /**
    * 设置 部门名称
    * @param staffNameList
    */
    public void setStaffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
    }

    /**
    * 获取 部门名称
    * @return staffNameNotList
    */
    public List<String> getStaffNameNotList(){
        return this.staffNameNotList;
    }

    /**
    * 设置 部门名称
    * @param staffNameNotList
    */
    public void setStaffNameNotList(List<String> staffNameNotList){
        this.staffNameNotList = staffNameNotList;
    }

    /**
    * 获取 分类名称
    * @return categoryNameList
    */
    public List<String> getCategoryNameList(){
        return this.categoryNameList;
    }

    /**
    * 设置 分类名称
    * @param categoryNameList
    */
    public void setCategoryNameList(List<String> categoryNameList){
        this.categoryNameList = categoryNameList;
    }

    /**
    * 获取 分类名称
    * @return categoryNameNotList
    */
    public List<String> getCategoryNameNotList(){
        return this.categoryNameNotList;
    }

    /**
    * 设置 分类名称
    * @param categoryNameNotList
    */
    public void setCategoryNameNotList(List<String> categoryNameNotList){
        this.categoryNameNotList = categoryNameNotList;
    }

    /**
    * 获取 开始 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
    * @return typeStart
    */
    public Integer getTypeStart(){
        return this.typeStart;
    }

    /**
    * 设置 开始 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
    * @param typeStart
    */
    public void setTypeStart(Integer typeStart){
        this.typeStart = typeStart;
    }

    /**
    * 获取 结束 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
    * @return $typeEnd
    */
    public Integer getTypeEnd(){
        return this.typeEnd;
    }

    /**
    * 设置 结束 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
    * @param typeEnd
    */
    public void setTypeEnd(Integer typeEnd){
        this.typeEnd = typeEnd;
    }

    /**
    * 获取 增加 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
    * @return typeIncrement
    */
    public Integer getTypeIncrement(){
        return this.typeIncrement;
    }

    /**
    * 设置 增加 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
    * @param typeIncrement
    */
    public void setTypeIncrement(Integer typeIncrement){
        this.typeIncrement = typeIncrement;
    }

    /**
    * 获取 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
    * @return typeList
    */
    public List<Integer> getTypeList(){
        return this.typeList;
    }

    /**
    * 设置 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
    * @param typeList
    */
    public void setTypeList(List<Integer> typeList){
        this.typeList = typeList;
    }

    /**
    * 获取 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
    * @return typeNotList
    */
    public List<Integer> getTypeNotList(){
        return this.typeNotList;
    }

    /**
    * 设置 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
    * @param typeNotList
    */
    public void setTypeNotList(List<Integer> typeNotList){
        this.typeNotList = typeNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 是否启用规则(0.否,1.是)
    * @return enableStart
    */
    public Integer getEnableStart(){
        return this.enableStart;
    }

    /**
    * 设置 开始 是否启用规则(0.否,1.是)
    * @param enableStart
    */
    public void setEnableStart(Integer enableStart){
        this.enableStart = enableStart;
    }

    /**
    * 获取 结束 是否启用规则(0.否,1.是)
    * @return $enableEnd
    */
    public Integer getEnableEnd(){
        return this.enableEnd;
    }

    /**
    * 设置 结束 是否启用规则(0.否,1.是)
    * @param enableEnd
    */
    public void setEnableEnd(Integer enableEnd){
        this.enableEnd = enableEnd;
    }

    /**
    * 获取 增加 是否启用规则(0.否,1.是)
    * @return enableIncrement
    */
    public Integer getEnableIncrement(){
        return this.enableIncrement;
    }

    /**
    * 设置 增加 是否启用规则(0.否,1.是)
    * @param enableIncrement
    */
    public void setEnableIncrement(Integer enableIncrement){
        this.enableIncrement = enableIncrement;
    }

    /**
    * 获取 是否启用规则(0.否,1.是)
    * @return enableList
    */
    public List<Integer> getEnableList(){
        return this.enableList;
    }

    /**
    * 设置 是否启用规则(0.否,1.是)
    * @param enableList
    */
    public void setEnableList(List<Integer> enableList){
        this.enableList = enableList;
    }

    /**
    * 获取 是否启用规则(0.否,1.是)
    * @return enableNotList
    */
    public List<Integer> getEnableNotList(){
        return this.enableNotList;
    }

    /**
    * 设置 是否启用规则(0.否,1.是)
    * @param enableNotList
    */
    public void setEnableNotList(List<Integer> enableNotList){
        this.enableNotList = enableNotList;
    }


    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public PerformStaffConfDetailQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public PerformStaffConfDetailQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public PerformStaffConfDetailQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public PerformStaffConfDetailQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public PerformStaffConfDetailQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public PerformStaffConfDetailQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  人员自动考核配置id
    * @param staffConfId
    */
    public PerformStaffConfDetailQuery staffConfId(Long staffConfId){
	    setStaffConfId(staffConfId);
		return this;
    }
	
	 /**
    * 设置 开始 人员自动考核配置id
    * @param staffConfIdStart
    */
    public PerformStaffConfDetailQuery staffConfIdStart(Long staffConfIdStart){
		this.staffConfIdStart = staffConfIdStart;
		return this;
    }

    /**
    * 设置 结束 人员自动考核配置id
    * @param staffConfIdEnd
    */
    public PerformStaffConfDetailQuery staffConfIdEnd(Long staffConfIdEnd){
		this.staffConfIdEnd = staffConfIdEnd;
		return this;
    }

    /**
    * 设置 增加 人员自动考核配置id
    * @param staffConfIdIncrement
    */
    public PerformStaffConfDetailQuery staffConfIdIncrement(Long staffConfIdIncrement){
		this.staffConfIdIncrement = staffConfIdIncrement;
		return this;
    }

    /**
    * 设置 人员自动考核配置id
    * @param staffConfIdList
    */
    public PerformStaffConfDetailQuery staffConfIdList(List<Long> staffConfIdList){
        this.staffConfIdList = staffConfIdList;
		return this;
        }

        /**
        * 设置 人员自动考核配置id
        * @param staffConfIdNotList
        */
        public PerformStaffConfDetailQuery staffConfIdNotList(List<Long> staffConfIdNotList){
        this.staffConfIdNotList = staffConfIdNotList;
        return this;
        }

    /**
    * 设置  绩效规则id
    * @param ruleId
    */
    public PerformStaffConfDetailQuery ruleId(Long ruleId){
	    setRuleId(ruleId);
		return this;
    }
	
	 /**
    * 设置 开始 绩效规则id
    * @param ruleIdStart
    */
    public PerformStaffConfDetailQuery ruleIdStart(Long ruleIdStart){
		this.ruleIdStart = ruleIdStart;
		return this;
    }

    /**
    * 设置 结束 绩效规则id
    * @param ruleIdEnd
    */
    public PerformStaffConfDetailQuery ruleIdEnd(Long ruleIdEnd){
		this.ruleIdEnd = ruleIdEnd;
		return this;
    }

    /**
    * 设置 增加 绩效规则id
    * @param ruleIdIncrement
    */
    public PerformStaffConfDetailQuery ruleIdIncrement(Long ruleIdIncrement){
		this.ruleIdIncrement = ruleIdIncrement;
		return this;
    }

    /**
    * 设置 绩效规则id
    * @param ruleIdList
    */
    public PerformStaffConfDetailQuery ruleIdList(List<Long> ruleIdList){
        this.ruleIdList = ruleIdList;
		return this;
        }

        /**
        * 设置 绩效规则id
        * @param ruleIdNotList
        */
        public PerformStaffConfDetailQuery ruleIdNotList(List<Long> ruleIdNotList){
        this.ruleIdNotList = ruleIdNotList;
        return this;
        }


	/**
    * 设置 规则简称
    * @param ruleName
    */
    public PerformStaffConfDetailQuery ruleName(String ruleName){
        setRuleName(ruleName);
		return this;
    }

    /**
    * 设置 规则简称
    * @param ruleNameList
    */
    public PerformStaffConfDetailQuery ruleNameList(List<String> ruleNameList){
        this.ruleNameList = ruleNameList;
		return this;
    }

    /**
    * 设置  部门id
    * @param staffId
    */
    public PerformStaffConfDetailQuery staffId(Long staffId){
	    setStaffId(staffId);
		return this;
    }
	
	 /**
    * 设置 开始 部门id
    * @param staffIdStart
    */
    public PerformStaffConfDetailQuery staffIdStart(Long staffIdStart){
		this.staffIdStart = staffIdStart;
		return this;
    }

    /**
    * 设置 结束 部门id
    * @param staffIdEnd
    */
    public PerformStaffConfDetailQuery staffIdEnd(Long staffIdEnd){
		this.staffIdEnd = staffIdEnd;
		return this;
    }

    /**
    * 设置 增加 部门id
    * @param staffIdIncrement
    */
    public PerformStaffConfDetailQuery staffIdIncrement(Long staffIdIncrement){
		this.staffIdIncrement = staffIdIncrement;
		return this;
    }

    /**
    * 设置 部门id
    * @param staffIdList
    */
    public PerformStaffConfDetailQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
		return this;
        }

        /**
        * 设置 部门id
        * @param staffIdNotList
        */
        public PerformStaffConfDetailQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
        }


	/**
    * 设置 部门名称
    * @param staffName
    */
    public PerformStaffConfDetailQuery staffName(String staffName){
        setStaffName(staffName);
		return this;
    }

    /**
    * 设置 部门名称
    * @param staffNameList
    */
    public PerformStaffConfDetailQuery staffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
		return this;
    }


	/**
    * 设置 分类名称
    * @param categoryName
    */
    public PerformStaffConfDetailQuery categoryName(String categoryName){
        setCategoryName(categoryName);
		return this;
    }

    /**
    * 设置 分类名称
    * @param categoryNameList
    */
    public PerformStaffConfDetailQuery categoryNameList(List<String> categoryNameList){
        this.categoryNameList = categoryNameList;
		return this;
    }

    /**
    * 设置  规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
    * @param type
    */
    public PerformStaffConfDetailQuery type(Integer type){
	    setType(type);
		return this;
    }
	
	 /**
    * 设置 开始 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
    * @param typeStart
    */
    public PerformStaffConfDetailQuery typeStart(Integer typeStart){
		this.typeStart = typeStart;
		return this;
    }

    /**
    * 设置 结束 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
    * @param typeEnd
    */
    public PerformStaffConfDetailQuery typeEnd(Integer typeEnd){
		this.typeEnd = typeEnd;
		return this;
    }

    /**
    * 设置 增加 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
    * @param typeIncrement
    */
    public PerformStaffConfDetailQuery typeIncrement(Integer typeIncrement){
		this.typeIncrement = typeIncrement;
		return this;
    }

    /**
    * 设置 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
    * @param typeList
    */
    public PerformStaffConfDetailQuery typeList(List<Integer> typeList){
        this.typeList = typeList;
		return this;
        }

        /**
        * 设置 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
        * @param typeNotList
        */
        public PerformStaffConfDetailQuery typeNotList(List<Integer> typeNotList){
        this.typeNotList = typeNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public PerformStaffConfDetailQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public PerformStaffConfDetailQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  是否启用规则(0.否,1.是)
    * @param enable
    */
    public PerformStaffConfDetailQuery enable(Integer enable){
	    setEnable(enable);
		return this;
    }
	
	 /**
    * 设置 开始 是否启用规则(0.否,1.是)
    * @param enableStart
    */
    public PerformStaffConfDetailQuery enableStart(Integer enableStart){
		this.enableStart = enableStart;
		return this;
    }

    /**
    * 设置 结束 是否启用规则(0.否,1.是)
    * @param enableEnd
    */
    public PerformStaffConfDetailQuery enableEnd(Integer enableEnd){
		this.enableEnd = enableEnd;
		return this;
    }

    /**
    * 设置 增加 是否启用规则(0.否,1.是)
    * @param enableIncrement
    */
    public PerformStaffConfDetailQuery enableIncrement(Integer enableIncrement){
		this.enableIncrement = enableIncrement;
		return this;
    }

    /**
    * 设置 是否启用规则(0.否,1.是)
    * @param enableList
    */
    public PerformStaffConfDetailQuery enableList(List<Integer> enableList){
        this.enableList = enableList;
		return this;
        }

        /**
        * 设置 是否启用规则(0.否,1.是)
        * @param enableNotList
        */
        public PerformStaffConfDetailQuery enableNotList(List<Integer> enableNotList){
        this.enableNotList = enableNotList;
        return this;
        }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public PerformStaffConfDetailQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public PerformStaffConfDetailQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public PerformStaffConfDetailQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public PerformStaffConfDetailQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public PerformStaffConfDetailQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public PerformStaffConfDetailQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public PerformStaffConfDetailQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public PerformStaffConfDetailQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public PerformStaffConfDetailQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public PerformStaffConfDetailQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public PerformStaffConfDetailQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public PerformStaffConfDetailQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<PerformStaffConfDetailQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<PerformStaffConfDetailQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<PerformStaffConfDetailQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<PerformStaffConfDetailQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}